/* Google Font Link */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins" , sans-serif;
}
body{
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px;
}
.container{
  position: relative;
  max-width: 850px;
  width: 100%;
  background: #fff;
  padding: 40px 30px;
  box-shadow: 0 5px 10px rgba(0,0,0,0.2);
  perspective: 2700px;
  border-radius: 20px;
  border: 1px solid rgb(213, 209, 209);
}
.container .cover{
  position: absolute;
  top: 0;
  left: 50%;
  height: 100%;
  width: 50%;
  z-index: 98;
  transition: all 1s ease;
  transform-origin: left;
  transform-style: preserve-3d;
}

.container .cover img{
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
  z-index: 10;
  border-bottom-right-radius: 20px;
  border-top-right-radius: 20px;
  border-left: 1.5px solid rgb(41, 41, 41, 0.3);
}

.cover .text .text-2{
  font-size: 15px;
  font-weight: 500;
}

.form-content .login-form{
  width: calc(100% / 2 - 25px);
}
.forms .form-content .title{
  position: relative;
  font-size: 24px;
  font-weight: 500;
  color: #333;
}

.forms .form-content .input-boxes{
  margin-top: 30px;
}
.forms .form-content .input-box{
  display: flex;
  align-items: center;
  height: 50px;
  width: 100%;
  margin: 10px 0;
  position: relative;
  top: -1rem;
}

.emaill{
  transform: translateY(-1rem);
}
.form-content .input-box {
    display: inline-block;
    width: 300px; /* Adjust width as needed */
    height: 50px; /* Adjust height as needed */
    border: 2px solid rgba(0, 0, 0, 0.2);
    border-radius: 5px; /* Add border-radius for rounded corners */
    transition: all 0.3s ease;
  }
  
  .form-content .input-box input {
    height: 100%;
    width: 100%;
    outline: none;
    border: none;
    padding: 0 30px;
    font-size: 16px;
    font-weight: 500;
    border-bottom: none; 
    border-radius: 5px; 
    box-sizing: border-box; 
  }
  
  .form-content .input-box input:focus {
    border: none; 
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.2);
  }
  
.form-content .input-box input:focus,
.form-content .input-box input:valid{
  border-color: #7d2ae8;
}
.button {
  cursor: pointer;
  font-weight: 400;
  border-radius: 5px;
  font-size: 13px;
  height: 40px; 
  width: 100px; 
  background-color: #9147ff;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateY(-1rem);
}

.button p {
  margin: 0; 
}

.forms .form-content .text{
  font-size: 14px;
  font-weight: 500;
  color: #333;
  font-family: inherit;
}
.forms .form-content .text a{
  text-decoration: none;
}
.forms .form-content .text a:hover{
  text-decoration: underline;
}
.forms .form-content .button {
    margin-top: 40px;
  }
  
  .forms .form-content .button input {
    color: #fff;
    background: #7d2ae8;
    border-radius: 20px; /* Increase border-radius for a more rounded button */
    padding: 10px 0px; /* Adjust padding for button size */
    cursor: pointer;
    transition: all 0.4s ease;
  }
  
  .forms .form-content .button input:hover {
    background: #5b13b9;
  }
.forms .form-content .button input:hover{
  background: #5b13b9;
}

.forms .form-content label:hover{
  text-decoration: underline;
}
.forms .form-content .login-text{
  text-align: center;
  margin-top: 25px;
}
.container #flip{
  display: none;
  color: #7d2ae8;
}
@media (max-width: 730px) {
  .container .cover{
    display: none;
  }
  .form-content .login-form,
  .form-content .signup-form{
    width: 100%;
  }
  .form-content .signup-form{
    display: none;
  }
  .container #flip:checked ~ .forms .signup-form{
    display: block;
  }
  .container #flip:checked ~ .forms .login-form{
    display: none;
  }
}